This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 826473 - Cannot do F16 -> F17 upgrade using preupgrade
Cannot do F16 -> F17 upgrade using preupgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
16
i386 Linux
unspecified Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 05:49 EDT by Răzvan Sandu
Modified: 2013-02-13 09:44 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:44:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Răzvan Sandu 2012-05-30 05:49:45 EDT
Description of problem:

On a stock-installed Fedora 16 system, updated, I try to use preupgrade-cli to upgrade to Fedora 17.

However, near first stage completion, preupgrade-cli says:

Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete
Preparing system to boot into installer
DEBUG /sbin/grubby --title="Upgrade to Fedora 17 (Beefy Miracle)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=65880117-f553-438f-a685-daa0b9f43551:/upgrade/ks.cfg stage2=hd:UUID=65880117-f553-438f-a685-daa0b9f43551:/upgrade/squashfs.img"
sh: /sbin/grub: No such file or directory
/bin/echo: eroare de scriere: Broken pipe
All finished. The upgrade will begin when you reboot.

and no upgrade is started after reboot. 

Please note errors on the /sbin/grub and /bin/echo lines.

I've noted that paths reported by grubby are different from those used in previous Fedora versions. grub2 is installed by default, not grub...

Version-Release number of selected component (if applicable):
preupgrade-1.1.10-1.fc16.noarch
grub2-1.99-13.fc16.3.i686
kernel-3.3.7-1.fc16.i686

How reproducible:
Always.

Steps to Reproduce:
1. On a F16 system, do "preupgrade-cli "Fedora 17 (Beefy Miracle)" "
2. When the first stage is done, reboot.

  
Actual results:
No F16 -> F17 upgrade is performed.

Expected results:
Upgrade should start and perform normally.


Regards,
Răzvan
Comment 1 Bruce-Robert Pocock 2012-06-21 22:50:41 EDT
Same here, on x86_64 (non-EFI). Upgrade item does not get added into Grub2 menu at all.
Comment 2 Fedora End Of Life 2013-01-16 08:50:02 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:44:55 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.